Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class DLSRegion

    java.lang.Object
      com.sun.media.sound.DLSRegion

    public class DLSRegion

extends java.lang.Object

This class is used to store region parts for instrument. A region has a velocity and key range which it response to. And it has a list of modulators/articulators which is used how to synthesize a single voice. It is stored inside a "rgn " List Chunk inside DLS files.

Author:
  Karl Helgason

Field Summary
`static int` | `OPTION_SELFNONEXCLUSIVE`

Constructor Summary
`DLSRegion()`

Method Summary
`long` | `getChannel()`
`int` | `getExclusiveClass()`
`int` | `getFusoptions()`
`int` | `getKeyfrom()`
`int` | `getKeyto()`
`java.util.List<DLSModulator>` | `getModulators()`
`int` | `getOptions()`
`int` | `getPhasegroup()`
`DLSSample` | `getSample()`
`DLSSampleOptions` | `getSampleoptions()`
`int` | `getVelfrom()`
`int` | `getVelto()`
`void` | `setChannel(long channel)`
`void` | `setExclusiveClass(int exclusiveClass)`
`void` | `setFusoptions(int fusoptions)`
`void` | `setKeyfrom(int keyfrom)`
`void` | `setKeyto(int keyto)`
`void` | `setModulators(java.util.List<DLSModulator> modulators)`
`void` | `setOptions(int options)`
`void` | `setPhasegroup(int phasegroup)`
`void` | `setSample(DLSSample sample)`
`void` | `setSampleoptions(DLSSampleOptions sampleOptions)`
`void` | `setVelfrom(int velfrom)`
`void` | `setVelto(int velto)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPTION_SELFNONEXCLUSIVE

    public static final int OPTION_SELFNONEXCLUSIVE

See Also:
  Constant Field Values

Constructor Detail

### DLSRegion

    public DLSRegion()

Method Detail

### getModulators

    public java.util.List<DLSModulator> getModulators()

### getChannel

    public long getChannel()

### setChannel

    public void setChannel(long channel)

### getExclusiveClass

    public int getExclusiveClass()

### setExclusiveClass

    public void setExclusiveClass(int exclusiveClass)

### getFusoptions

    public int getFusoptions()

### setFusoptions

    public void setFusoptions(int fusoptions)

### getKeyfrom

    public int getKeyfrom()

### setKeyfrom

    public void setKeyfrom(int keyfrom)

### getKeyto

    public int getKeyto()

### setKeyto

    public void setKeyto(int keyto)

### getOptions

    public int getOptions()

### setOptions

    public void setOptions(int options)

### getPhasegroup

    public int getPhasegroup()

### setPhasegroup

    public void setPhasegroup(int phasegroup)

### getSample

    public DLSSample getSample()

### setSample

    public void setSample(DLSSample sample)

### getVelfrom

    public int getVelfrom()

### setVelfrom

    public void setVelfrom(int velfrom)

### getVelto

    public int getVelto()

### setVelto

    public void setVelto(int velto)

### setModulators

    public void setModulators(java.util.List<DLSModulator> modulators)

### getSampleoptions

    public DLSSampleOptions getSampleoptions()

### setSampleoptions

    public void setSampleoptions(DLSSampleOptions sampleOptions)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD